class AddFileResponse {
  bool con;
  String msg;
  AddFileResults results;

  AddFileResponse({this.con, this.msg, this.results});

  AddFileResponse.fromJson(Map<String, dynamic> json) {
    if (json["con"] is bool) this.con = json["con"];
    if (json["msg"] is String) this.msg = json["msg"];
    if (json["results"] is Map)
      this.results = json["results"] == null
          ? null
          : AddFileResults.fromJson(json["results"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["con"] = this.con;
    data["msg"] = this.msg;
    if (this.results != null) data["results"] = this.results.toJson();
    return data;
  }
}

class AddFileResults {
  String nip;
  String jenisIssue;
  String nomor;
  String tanggalTerbit;
  String penerbit;
  int id;

  AddFileResults(
      {this.nip,
      this.jenisIssue,
      this.nomor,
      this.tanggalTerbit,
      this.penerbit,
      this.id});

  AddFileResults.fromJson(Map<String, dynamic> json) {
    if (json["nip"] is String) this.nip = json["nip"];
    if (json["jenis_issue"] is String) this.jenisIssue = json["jenis_issue"];
    if (json["nomor"] is String) this.nomor = json["nomor"];
    if (json["tanggal_terbit"] is String)
      this.tanggalTerbit = json["tanggal_terbit"];
    if (json["penerbit"] is String) this.penerbit = json["penerbit"];
    if (json["id"] is int) this.id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["nip"] = this.nip;
    data["jenis_issue"] = this.jenisIssue;
    data["nomor"] = this.nomor;
    data["tanggal_terbit"] = this.tanggalTerbit;
    data["penerbit"] = this.penerbit;
    data["id"] = this.id;
    return data;
  }
}
