class InfoResponse {
  bool con;
  String msg;
  List<InfoResults> results;

  InfoResponse({this.con, this.msg, this.results});

  InfoResponse.fromJson(Map<String, dynamic> json) {
    if (json["con"] is bool) this.con = json["con"];
    if (json["msg"] is String) this.msg = json["msg"];
    if (json["results"] is List)
      this.results = json["results"] == null
          ? []
          : (json["results"] as List)
              .map((e) => InfoResults.fromJson(e))
              .toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["con"] = this.con;
    data["msg"] = this.msg;
    if (this.results != null)
      data["results"] = this.results.map((e) => e.toJson()).toList();
    return data;
  }
}

class InfoResults {
  int idPengumuman;
  String title;
  String isi;
  String file;
  String author;
  String createdAt;
  String updateBy;
  String updateAt;
  String to;
  String status;
  String kategori;
  String imageEncode;

  InfoResults(
      {this.idPengumuman,
      this.title,
      this.isi,
      this.file,
      this.author,
      this.createdAt,
      this.updateBy,
      this.updateAt,
      this.to,
      this.status,
      this.kategori,
      this.imageEncode});

  InfoResults.fromJson(Map<String, dynamic> json) {
    if (json["id_pengumuman"] is int) this.idPengumuman = json["id_pengumuman"];
    if (json["title"] is String) this.title = json["title"];
    if (json["isi"] is String) this.isi = json["isi"];
    if (json["file"] is String) this.file = json["file"];
    if (json["author"] is String) this.author = json["author"];
    if (json["created_at"] is String) this.createdAt = json["created_at"];
    if (json["update_by"] is String) this.updateBy = json["update_by"];
    if (json["update_at"] is String) this.updateAt = json["update_at"];
    if (json["to"] is String) this.to = json["to"];
    if (json["status"] is String) this.status = json["status"];
    if (json["kategori"] is String) this.kategori = json["kategori"];
    if (json["image_encode"] is String) this.imageEncode = json["image_encode"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["id_pengumuman"] = this.idPengumuman;
    data["title"] = this.title;
    data["isi"] = this.isi;
    data["file"] = this.file;
    data["author"] = this.author;
    data["created_at"] = this.createdAt;
    data["update_by"] = this.updateBy;
    data["update_at"] = this.updateAt;
    data["to"] = this.to;
    data["status"] = this.status;
    data["kategori"] = this.kategori;
    data["image_encode"] = this.imageEncode;
    return data;
  }
}
