class JenisFileResponse {
  bool con;
  String msg;
  List<JenisFileResults> results;

  JenisFileResponse({this.con, this.msg, this.results});

  JenisFileResponse.fromJson(Map<String, dynamic> json) {
    if (json["con"] is bool) this.con = json["con"];
    if (json["msg"] is String) this.msg = json["msg"];
    if (json["results"] is List)
      this.results = json["results"] == null
          ? []
          : (json["results"] as List)
              .map((e) => JenisFileResults.fromJson(e))
              .toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["con"] = this.con;
    data["msg"] = this.msg;
    if (this.results != null)
      data["results"] = this.results.map((e) => e.toJson()).toList();
    return data;
  }
}

class JenisFileResults {
  int id;
  String nama;
  String kategori;

  JenisFileResults({this.id, this.nama, this.kategori});

  JenisFileResults.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["nama"] is String) this.nama = json["nama"];
    if (json["kategori"] is String) this.kategori = json["kategori"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["id"] = this.id;
    data["nama"] = this.nama;
    data["kategori"] = this.kategori;
    return data;
  }
}
